YourWBB


yourWBB » WoltLab Burning Board Generation 2 * » Alles von und für das WBB Lite 1.0.x » [WBB Lite 1.0.x] Allg. Fragen und Probleme » Serverumstellung auf PHP 8 » Hallo Gast [Anmelden|Registrieren]
Letzter Beitrag | Erster ungelesener Beitrag 7.401 Views | | Thema zu Favoriten hinzufügen

Neues Thema erstellen Antwort erstellen

Dieses Thema wurde als unerledigt markiert. Thread unerledigt

Zum Ende der Seite springen Serverumstellung auf PHP 8
Autor
Beitrag « Vorheriges Thema | Nächstes Thema »
Elly
Mitglied


Dabei seit: 09.07.07
Beiträge: 83
Fähigkeiten: WBB Lite 1 Fortgeschritten
Forenversion: Lite 1.0

 Serverumstellung auf PHP 8 Antworten Zitieren Editieren Melden       UP

Hallo Leute,

ich bin verzweifelt auf der Suche nach jmd, der sich mit dem WBB Lite und PHP auskennt.
Ich habe an meinem Forum sehr viel rumgeschraubt und eingebaut, aber meine PHP-Kenntnisse gehen über Grundkenntnisse leider nicht hinaus. Aber auch weil so viel verändert wurde, sind die hier angebotenen (groß und fett ganz oben im Forum) Lösungen hier nicht die richtigen, zumal sie auch nur bis PHP 7.1 gehen.
Nun sind ältere PHP-Versionen auf meinem Server abgestellt worden (darunter auch 7). Das war auch angekündigt und ich hatte das getestet und hat funktioniert. Leider hab ich vercheckt, dass über die .htaccess noch immer PHP 7 abgerufen wird und somit war mein Test hinfällig. Jetzt läuft das Forum leider nicht mehr, ich hab nur noch eine weiße Seite zu sehen - ohne Fehlermeldungen allerdings.
Ich tappe völlig im Dunkeln, was hier zu tun ist und hoffe, dass ich hier eine gütige Seele finde, die mir helfen kann, das Forum zu retten.
2018 habe ich schon mal jmd gefunden, der mir auf PHP 7 umprogrammiert hat. Diesen Jemand kann ich leider nicht mehr erreichen und hoffe, hier jemanden zu finden.

Ich wäre euch sehr dankbar!

Liebe Grüße
Elly
12.07.23 13:55 Elly ist offline E-Mail WWW Finden Als Freund hinzufügen
Viktor Viktor ist männlich
Mitglied


images/avatars/avatar-462.gif

Dabei seit: 17.01.04
Beiträge: 108
Fähigkeiten: WBB2 Profi; WBB Lite 1 Profi
Forenversion: 3.0; 2.3

Antworten Zitieren Editieren Melden       UP

Hallo,

schaue mal hier :https://www.v-gn.de/wbb/thread.php?threadid=15715

Vielleicht hilft dir das.

Gruß
Viktor Augenzwinkern

__________________
Mein Supportboard

12.07.23 20:36 Viktor ist offline E-Mail WWW Finden Als Freund hinzufügen
Elly
Mitglied


Dabei seit: 09.07.07
Beiträge: 83
Fähigkeiten: WBB Lite 1 Fortgeschritten
Forenversion: Lite 1.0

Themenstarter Thema begonnen von Elly
Antworten Zitieren Editieren Melden       UP

Danke dir!
Wobei, auf den ersten Blick kommt mir das noch nicht so vor als würde es mir helfen. Da geht's ja gar nicht um PHP 8. Außerdem ist mein Board ja auch nicht mehr frisch, sondern es sind sehr viele Hacks eingebaut.
Der Thread ist aus dem Jahre 2015, da gab's auch noch gar kein PHP 8.
Bin jetzt ein bissl confused, inwiefern er mir helfen könnte.
12.07.23 22:04 Elly ist offline E-Mail WWW Finden Als Freund hinzufügen
Viktor Viktor ist männlich
Mitglied


images/avatars/avatar-462.gif

Dabei seit: 17.01.04
Beiträge: 108
Fähigkeiten: WBB2 Profi; WBB Lite 1 Profi
Forenversion: 3.0; 2.3

Antworten Zitieren Editieren Melden       UP

Zitat:
Original von Elly
Danke dir!
Wobei, auf den ersten Blick kommt mir das noch nicht so vor als würde es mir helfen. Da geht's ja gar nicht um PHP 8. Außerdem ist mein Board ja auch nicht mehr frisch, sondern es sind sehr viele Hacks eingebaut.
Der Thread ist aus dem Jahre 2015, da gab's auch noch gar kein PHP 8.
Bin jetzt ein bissl confused, inwiefern er mir helfen könnte.


Hallo,

doch da wurde schon alles vorbereitet.

https://www.v-gn.de/wbb/thread.php?postid=129889#post129889

Da im Download sind alle bearbeiteten Dateien für PHP 8.

Wenn musst du dein Board klonen und das dann unter PHP8 laufen lassen.

So kann man dann alle Fehler beseitigen.

Gruß
Viktor Augenzwinkern

__________________
Mein Supportboard

12.07.23 23:45 Viktor ist offline E-Mail WWW Finden Als Freund hinzufügen
S!equenz
Last Man Standing


Dabei seit: 10.07.12
Beiträge: 775
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

Antworten Zitieren Editieren Melden       UP

Ich komme momentan kaum mit meinen eigenen Sachen hinter her daher kann ich das aktuell leider nicht machen.
Das Problem ist Schrimm hat ja im Grunde eine gute Anleitung bereitgestellt aber bei modifizierten Foren (und somit fast allen) muss man halt noch weitere Anpassungen vornehmen. Bis man mal alle Fehler gefunden und behoben hat vergehen manchmal sogar Wochen bis Monate.

Ich hab in deinem anderen Thread auch geantwortet.

Ich denke du hast zwei Möglichkeiten.

1.Informierst dich welche Schritte/Umwege nötig sind um zu einer modernen Alternative zu convertieren und machst dass dann. (Vllt. hilft dir ja Woltlab sogar wenn du eine Lizenz für die aktuelle Software kaufst? Ich finde Invision Community gefolgt von Xenforo allerdings besser)

2.Versuchst einen PHP Developer zu finden der bereit ist dir das alte Lite 1 auf PHP 8 umzurüsten. Mittels der Anleitungen von Schrimm @ v-gn.de/wbb sollte das eigentlich kein Problem sein. Es wird halt vermutlich nur niemand umsonst machen. Vllt. kann dir ja auch Viktor, Schrimm, Omar, Bam etc. helfen?

Edit:

Option 3 ist natürlich es einfach so lassen. Was spricht dagegen?
Option 3.1. ist Cloudlinux + Cpanel wie ich es in deinem anderen Thread beschrieben habe.

__________________
Lüge Zweckmäßige Übertreibung
13.07.23 05:08 S!equenz ist offline E-Mail Finden Als Freund hinzufügen
Elly
Mitglied


Dabei seit: 09.07.07
Beiträge: 83
Fähigkeiten: WBB Lite 1 Fortgeschritten
Forenversion: Lite 1.0

Themenstarter Thema begonnen von Elly
Antworten Zitieren Editieren Melden       UP

Der Hauptgrund, warum man es so nicht lassen kann, ist - wenn die PHP-Version am Server abgeschaltet wird, mit der das Forum aktuell noch rund läuft (und das tut es nur unter 7.2 und nicht 7.4), dann ist Ende. Aktuell wurden 7.1 und 7.3 abgeschaltet.

Eben, den Punkt 2...das versuch ich hier grad. Hab auch eventuell jmd in Aussicht (den Guten von damals doch noch gefunden), der Zeitraum wäre aus jetziger Sicht kein Problem, da die Abschaltung von 7.2 aktuell noch nicht geplant ist. Da hab ich jetzt grad nochmal Glück gehabt! Ich dachte erst, alle 7.x würden abgeschaltet und da dann ab Dienstag nichts mehr ging, sah das erstmal auch so aus, weil über die .htaccess auf 7.0 zugegriffen wurde und das gab es ja dann nicht mehr. Dass 7.2 doch noch läuft, hab ich dann gestern Nachmittag bemerkt.

Danke erstmal! Dass im Download PHP8 steht, hab ich grad auch gesehen. Danke!
13.07.23 12:07 Elly ist offline E-Mail WWW Finden Als Freund hinzufügen
Baumstruktur | Brettstruktur
Gehe zu:

Neues Thema erstellen Antwort erstellen

yourWBB » WoltLab Burning Board Generation 2 * » Alles von und für das WBB Lite 1.0.x » [WBB Lite 1.0.x] Allg. Fragen und Probleme » Serverumstellung auf PHP 8